### Method

# Xdp Portal update_install_finish

#### Declaration [src]

    gboolean
    xdp_portal_update_install_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an update-installation request.

Returns the result in the form of boolean.

Note that the update may not be completely installed by the time this function is called. You need to listen to the `XdpPortal::update-progress` signal to learn when the installation is complete.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the update is being installed.